<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en-US">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.5"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>DayZExpansion: ExpansionSkinDamageZone Class Reference</title>
<link href="../../tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../jquery.js"></script>
<script type="text/javascript" src="../../dynsections.js"></script>
<link href="../../navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../resize.js"></script>
<script type="text/javascript" src="../../navtreedata.js"></script>
<script type="text/javascript" src="../../navtree.js"></script>
<link href="../../search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../search/searchdata.js"></script>
<script type="text/javascript" src="../../search/search.js"></script>
<link href="../../doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectlogo"><img alt="Logo" src="../../doxygen_light.png"/></td>
  <td id="projectalign">
   <div id="projectname">DayZExpansion<span id="projectnumber">&#160;1.7.12</span>
   </div>
   <div id="projectbrief">DayZExpansion Script Documentation Courtecy of P4K1TZ</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.5 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "../../search/",'.html');
/* @license-end */
</script>
<script type="text/javascript" src="../../menudata.js"></script>
<script type="text/javascript" src="../../menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('../../',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(document).ready(function(){initNavTree('da/d96/a02547.html','../../'); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<div id="MSearchResults">
<div class="SRPage">
<div id="SRIndex">
<div id="SRResults"></div>
<div class="SRStatus" id="Loading">Loading...</div>
<div class="SRStatus" id="Searching">Searching...</div>
<div class="SRStatus" id="NoMatches">No Matches</div>
</div>
</div>
</div>
</div>

<div class="header">
  <div class="summary">
<a href="#pri-methods">Private Member Functions</a> &#124;
<a href="#pri-attribs">Private Attributes</a>  </div>
  <div class="headertitle"><div class="title">ExpansionSkinDamageZone Class Reference</div></div>
</div><!--header-->
<div class="contents">
<div class="dynheader">
Inheritance diagram for ExpansionSkinDamageZone:</div>
<div class="dyncontent">
 <div class="center">
  <img src="../../da/d96/a02547.png" alt=""/>
 </div></div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="pri-methods" name="pri-methods"></a>
Private Member Functions</h2></td></tr>
<tr class="memitem:a669780cb6982bf5209330bb21a199a2d"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../da/d96/a02547.html#a669780cb6982bf5209330bb21a199a2d">ExpansionSkinDamageZone</a> ()</td></tr>
<tr class="separator:a669780cb6982bf5209330bb21a199a2d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a295097873837d08e1e38fd05a72c4bc2"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../da/d96/a02547.html#a295097873837d08e1e38fd05a72c4bc2">~ExpansionSkinDamageZone</a> ()</td></tr>
<tr class="separator:a295097873837d08e1e38fd05a72c4bc2"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="pri-attribs" name="pri-attribs"></a>
Private Attributes</h2></td></tr>
<tr class="memitem:ae74cca0bc373aab575ec49497fbd8ee4"><td class="memItemLeft" align="right" valign="top">string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../da/d96/a02547.html#ae74cca0bc373aab575ec49497fbd8ee4">Zone</a></td></tr>
<tr class="separator:ae74cca0bc373aab575ec49497fbd8ee4"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a182ee7d62fc085b546519615dbed9176"><td class="memItemLeft" align="right" valign="top">ref array&lt; string &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../da/d96/a02547.html#a182ee7d62fc085b546519615dbed9176">HiddenSelections</a></td></tr>
<tr class="separator:a182ee7d62fc085b546519615dbed9176"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:abbbce02059c0c67e28eef5d3d72a43bf"><td class="memItemLeft" align="right" valign="top">ref array&lt; ref <a class="el" href="../../db/df2/a02551.html">ExpansionSkinHealthLevel</a> &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../da/d96/a02547.html#abbbce02059c0c67e28eef5d3d72a43bf">HealthLevels</a></td></tr>
<tr class="separator:abbbce02059c0c67e28eef5d3d72a43bf"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p ><a class="el" href="../../de/d91/a01034.html">ExpansionSkinDamageZone.c</a></p>
<p >DayZ Expansion Mod www.dayzexpansion.com © 2022 DayZ Expansion Mod Team</p>
<p >This work is licensed under the Creative Commons Attribution-NonCommercial-NoDerivatives 4.0 International License. To view a copy of this license, visit <a href="http://creativecommons.org/licenses/by-nc-nd/4.0/">http://creativecommons.org/licenses/by-nc-nd/4.0/</a>. </p>

<p class="definition">Definition at line <a class="el" href="../../de/d91/a01034_source.html#l00013">13</a> of file <a class="el" href="../../de/d91/a01034_source.html">expansionskindamagezone.c</a>.</p>
</div><h2 class="groupheader">Constructor &amp; Destructor Documentation</h2>
<a id="a669780cb6982bf5209330bb21a199a2d" name="a669780cb6982bf5209330bb21a199a2d"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a669780cb6982bf5209330bb21a199a2d">&#9670;&#160;</a></span>ExpansionSkinDamageZone()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void ExpansionSkinDamageZone::ExpansionSkinDamageZone </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../de/d91/a01034_source.html#l00020">20</a> of file <a class="el" href="../../de/d91/a01034_source.html">expansionskindamagezone.c</a>.</p>

</div>
</div>
<a id="a295097873837d08e1e38fd05a72c4bc2" name="a295097873837d08e1e38fd05a72c4bc2"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a295097873837d08e1e38fd05a72c4bc2">&#9670;&#160;</a></span>~ExpansionSkinDamageZone()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void ExpansionSkinDamageZone::~ExpansionSkinDamageZone </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../de/d91/a01034_source.html#l00026">26</a> of file <a class="el" href="../../de/d91/a01034_source.html">expansionskindamagezone.c</a>.</p>

</div>
</div>
<h2 class="groupheader">Field Documentation</h2>
<a id="abbbce02059c0c67e28eef5d3d72a43bf" name="abbbce02059c0c67e28eef5d3d72a43bf"></a>
<h2 class="memtitle"><span class="permalink"><a href="#abbbce02059c0c67e28eef5d3d72a43bf">&#9670;&#160;</a></span>HealthLevels</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">ref array&lt; ref <a class="el" href="../../db/df2/a02551.html">ExpansionSkinHealthLevel</a> &gt; ExpansionSkinDamageZone::HealthLevels</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../de/d91/a01034_source.html#l00018">18</a> of file <a class="el" href="../../de/d91/a01034_source.html">expansionskindamagezone.c</a>.</p>

</div>
</div>
<a id="a182ee7d62fc085b546519615dbed9176" name="a182ee7d62fc085b546519615dbed9176"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a182ee7d62fc085b546519615dbed9176">&#9670;&#160;</a></span>HiddenSelections</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">ref array&lt; string &gt; ExpansionSkinDamageZone::HiddenSelections</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../de/d91/a01034_source.html#l00017">17</a> of file <a class="el" href="../../de/d91/a01034_source.html">expansionskindamagezone.c</a>.</p>

</div>
</div>
<a id="ae74cca0bc373aab575ec49497fbd8ee4" name="ae74cca0bc373aab575ec49497fbd8ee4"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ae74cca0bc373aab575ec49497fbd8ee4">&#9670;&#160;</a></span>Zone</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">string ExpansionSkinDamageZone::Zone</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../de/d91/a01034_source.html#l00015">15</a> of file <a class="el" href="../../de/d91/a01034_source.html">expansionskindamagezone.c</a>.</p>

</div>
</div>
<hr/>The documentation for this class was generated from the following file:<ul>
<li>DayzExpansion/Core/Scripts/4_world/dayzexpansion_core/classes/systems/skins/<a class="el" href="../../de/d91/a01034_source.html">expansionskindamagezone.c</a></li>
</ul>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="../../da/d96/a02547.html">ExpansionSkinDamageZone</a></li>
    <li class="footer">Generated by <a href="https://www.doxygen.org/index.html"><img class="footer" src="../../doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.5 </li>
  </ul>
</div>
</body>
</html>
